package com.lovecoding.day10.ex01;

public class Person {

    private String name;
    private int age;
    private int gender; // 1 男  0 女
    //private char sex; // '男'   '女'


    public Person(){
        System.out.println("无参数");
    }

    public Person(String name , int age , int gender ){
        this.name = name;
        this.age = age;
        this.gender = gender;
    }

    public Person(String name , int age ){
        this.name = name;
        this.age = age;
    }

    public Person(String name  ){
        this.name = name;
    }

    public Person(int gender ,String name ){
        this.name = name;
        this.gender = gender;
    }


    public void showInfo(){
        System.out.println("name:"+name+",age："+age+",gender:"+gender);
    }





    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public int getGender() {
        return gender;
    }

    public void setGender(int gender) {
        this.gender = gender;
    }
}
